Skip to main content
POST
Submit Sales Lead

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Body

application/json

Request body for submitting a sales lead.

email
string<email>
required
source
enum<string>
default:landing

Where the sales lead came from.

Available options:
landing,
dashboard
intent
enum<string>
default:enterprise_internal_tools

Reason the user asked to talk to sales.

Available options:
enterprise_internal_tools,
billing_enterprise,
seat_limit,
general
name
string | null
Maximum string length: 255
company
string | null
Maximum string length: 255
phone
string | null
Maximum string length: 64
title
string | null
Maximum string length: 255
team_size
string | null
Maximum string length: 64
use_case
string | null
Maximum string length: 3000
page_url
string | null
Maximum string length: 2048

Response

Successful Response

Response for a submitted sales lead.

id
string<uuid>
required
source
enum<string>
required

Where the sales lead came from.

Available options:
landing,
dashboard
intent
enum<string>
required

Reason the user asked to talk to sales.

Available options:
enterprise_internal_tools,
billing_enterprise,
seat_limit,
general
email
string
required
created_at
string<date-time>
required